Bug 225734 - [PATCH] emulators/virtualbox-ose: Build with non-default python
Summary: [PATCH] emulators/virtualbox-ose: Build with non-default python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-07 18:04 UTC by Peter Wullinger
Modified: 2018-07-26 11:47 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (vbox)


Attachments
Add explicit dependency on Python 2.7 (393 bytes, patch)
2018-02-07 18:04 UTC, Peter Wullinger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Wullinger 2018-02-07 18:04:49 UTC
Created attachment 190392 [details]
Add explicit dependency on Python 2.7

With

DEFAULT_VERSIONS+=python=3.6

in /etc/make.conf

I get

kBuild: Generating python - /wrkdirs/usr/ports/emulators/virtualbox-ose/work/VirtualBox-5.2.6/out/freebsd.amd64/release/obj/VBoxOGLgen/spu_dispatch_table.h
kmk_builtin_redirect: posix_spawnp(python-not-found) failed: No such file or directory

when trying to build virtualbox-ose.

Explicitly requiring Python 2.7 in USES= directives (see attached patch) fixes the build for me.
Comment 1 Philipp Engel 2018-02-09 12:58:33 UTC
I'm having the same issue:

kmk_builtin_redirect: posix_spawnp(python-not-found) failed: No such file or directory
kmk: *** [/tmp/ports/usr/ports/emulators/virtualbox-ose/work/VirtualBox-5.2.6/out/freebsd.amd64/release/obj/VBoxOGLgen/spu_dispatch_table.h] Error 10
Comment 2 Tobias Kortkamp freebsd_committer 2018-07-26 11:47:15 UTC
Committed. Thanks!
Comment 3 commit-hook freebsd_committer 2018-07-26 11:47:38 UTC
A commit references this bug:

Author: tobik
Date: Thu Jul 26 11:46:59 UTC 2018
New revision: 475363
URL: https://svnweb.freebsd.org/changeset/ports/475363

Log:
  emulators/virtualbox-ose: Fix build when using 3.? as default Python

  When using DEFAULT_VERSIONS=python=3.6 or similar the build fails
  with

  kBuild: Generating python - .../out/freebsd.amd64/release/obj/VBoxOGLgen/spu_dispatch_table.h
  kmk_builtin_redirect: posix_spawnp(python-not-found) failed: No such file or directory

  Explicitly use Python 2.7 for the time being to fix the build.

  PR:		225734
  Submitted by:	Peter Wullinger <freebsd@dhke.de>
  Approved by:	vbox (maintainer timeout, 5 months+)

Changes:
  head/emulators/virtualbox-ose/Makefile